#include <stdlib.h>
#include <stdio.h>

int main()
{
    long N, i, k;
    long long T;
    long C[60];
    for(i=0; i<60; i++)
        C[i] = 0;

    scanf("%li", &N);

    for(i=0; i<N; i++)
    {
        scanf("%lli", &T);
        k = 0;
        while(T>0)
        {
            C[k++] = T % 2;
            T = T / 2;
        }
    }

    long long minxor = N - C[0];
    long minp = 0;
    long long p = 2;
    for(i=1; i<60; i++)
    {
        if(N-p*C[i]<minxor)
        {
            minxor = N - p*C[i];
            minp = i;
        }
        p*=2;
    }
    C[minp] = N;

    int minand = 1;
    for(int i=0; i<60 && minand==1; i++)
        if(C[i]%2==1)
            minand = 0;

    printf("%lli", minxor + minand);
    return 0;
}